AIOAsynchChannelFactory (ActiveIO 1.0 API)
Keywords: org.activeio.net.AIOAsynchChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class AIOAsynchChannelFactory

    java.lang.Object
      org.activeio.net.AIOAsynchChannelFactory

All Implemented Interfaces:
  AsynchChannelFactory

public class AIOAsynchChannelFactory
extends java.lang.Object
implements AsynchChannelFactory

A TcpAsynchChannelFactory creates `org.activeio.net.TcpAsynchChannel` and `org.activeio.net.TcpAsynchChannelServer` objects.

Version:
  $Revision$

Field Summary
`protected static int` | `DEFAULT_BACKLOG`

Constructor Summary
`AIOAsynchChannelFactory()`

Method Summary
`AsynchChannelServer` | `bindAsynchChannel(java.net.URI bindURI)` Binds a server socket a the 's port.
`protected AsynchChannel` | `createAsynchChannel(com.ibm.io.async.AsyncSocketChannel socketChannel)`
`int` | `getBacklog()`
`AsynchChannel` | `openAsynchChannel(java.net.URI location)` Uses the 's host and port to create a tcp connection to a remote host.
`void` | `setBacklog(int backlog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BACKLOG

    protected static final int DEFAULT_BACKLOG

See Also:
  Constant Field Values

Constructor Detail

### AIOAsynchChannelFactory

    public AIOAsynchChannelFactory()

Method Detail

### openAsynchChannel

    public AsynchChannel openAsynchChannel(java.net.URI location)
                                    throws java.io.IOException

  Uses the 's host and port to create a tcp connection to a remote host.

  Specified by:
    `openAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`
  See Also:
    `AsynchChannelFactory.openAsynchChannel(java.net.URI)`

### createAsynchChannel

    protected AsynchChannel createAsynchChannel(com.ibm.io.async.AsyncSocketChannel socketChannel)
                                         throws java.io.IOException

  Returns:
  Throws:
    `java.io.IOException`

### bindAsynchChannel

    public AsynchChannelServer bindAsynchChannel(java.net.URI bindURI)
                                          throws java.io.IOException

  Binds a server socket a the 's port.

  Specified by:
    `bindAsynchChannel` in interface `AsynchChannelFactory`
  Parameters:
    `bindURI` -
  Returns:
  Throws:
    `java.io.IOException`
  See Also:
    `AsynchChannelFactory.bindAsynchChannel(java.net.URI)`

### getBacklog

    public int getBacklog()

  Returns:
    Returns the backlog.

### setBacklog

    public void setBacklog(int backlog)

  Parameters:
    `backlog` - The backlog to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.